Bug 1008450 - Missing javadoc for org.apache.cxf
Missing javadoc for org.apache.cxf
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Other (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER5
: EAP 6.2.0
Assigned To: Yong Yang
Jakub Cechacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 07:41 EDT by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:16:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Cechacek 2013-09-16 07:41:54 EDT
Current javadoc is missing documentation for following jars and packages 
/home/jcechace/tools/eap/eap6/620/jboss-eap-6.2/modules/system/layers/base/org/apache/cxf/main/cxf-api-2.7.6.jar
57 missing:
   org.apache.cxf.resource
   org.apache.cxf.transports.http
   org.apache.cxf.transport
   org.apache.cxf.common.jaxb
   org.apache.cxf.common.i18n
   org.apache.cxf.common.classloader
   org.apache.cxf.common.util
   org.apache.cxf.common.annotation
   org.apache.cxf.common.injection
   org.apache.cxf.common
   org.apache.cxf.common.xmlschema
   org.apache.cxf.common.logging
   org.apache.cxf.common.security
   org.apache.cxf.common.commands
   org.apache.cxf.version
   org.apache.cxf.headers
   org.apache.cxf.attachment
   org.apache.cxf.staxutils
   org.apache.cxf.staxutils.transform
   org.apache.cxf.workqueue
   org.apache.cxf.feature
   org.apache.cxf.feature.validation
   org.apache.cxf.message
   org.apache.cxf.continuations
   org.apache.cxf.phase
   org.apache.cxf.wsdl
   org.apache.cxf.wsdl.http
   org.apache.cxf.helpers
   org.apache.cxf.internal
   org.apache.cxf
   org.apache.cxf.binding
   org.apache.cxf.management.annotation
   org.apache.cxf.management
   org.apache.cxf.interceptor
   org.apache.cxf.interceptor.transform
   org.apache.cxf.annotations
   org.apache.cxf.policy
   org.apache.cxf.logging
   org.apache.cxf.extension
   org.apache.cxf.endpoint
   org.apache.cxf.security
   org.apache.cxf.security.transport
   org.apache.cxf.security.claims.authorization
   org.apache.cxf.service.invoker
   org.apache.cxf.service
   org.apache.cxf.service.model
   org.apache.cxf.databinding
   org.apache.cxf.buslifecycle
   org.apache.cxf.configuration
   org.apache.cxf.configuration.spring
   org.apache.cxf.configuration.jsse
   org.apache.cxf.configuration.security
   org.apache.cxf.ws.addressing
   org.apache.cxf.ws.addressing.wsdl
   org.apache.cxf.ws.addressing.v200408
   org.apache.cxf.ws.addressing.v200403
   org.apache.cxf.io


Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:
Comment 1 Misty Stanley-Jones 2013-10-09 23:17:00 EDT
I'm not sure what the right component is for Javadoc bugs, but Documentation should be used for formal documentation maintained by Content Services. Javadoc does not fall under this category. Maybe we need a new component for it?
Comment 2 Yong Yang 2013-10-10 04:21:48 EDT
Fixed in EAP6.2.0 ER5.
Comment 3 Jakub Cechacek 2013-10-10 08:12:21 EDT
Verified 6.2.0.ER5

Note You need to log in before you can comment on or make changes to this bug.